Subject: bug#64882: closed (Re: bug#64882: [PATCH] doc: cookbook: Document how to disable the Yubikey OTP application.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Aug 2023 04:06:02 +0000

Your bug report

#64882: [PATCH] doc: cookbook: Document how to disable the Yubikey OTP application.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64882: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64882
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64882: [PATCH] doc: cookbook: Document how to disable the Yubikey OTP application.
From: Maxim Cournoyer <[email-masked]>
To: John Kehayias <[email-masked]>
Cc: [email-masked]
Date: Thu, 17 Aug 2023 00:05:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

John Kehayias <[email-masked]> writes:

[...]

>>> Otherwise, LGTM, but a user should be aware if they are using/needed OTP
>>> before disabling it.
>>
>> I'm not sure when OTP is useful; it's not useful for the current use
>> case I'm using my Yubikey (which is currently the two-factor
>> authentication on web sites).
>
> I checked and I have OTP disabled on my Yubikey as well; I used 'ykman
> info' to see. I use it as my smart card essentially (as the keys for
> passwords, SSH, signing commits, etc.) as well as two-factor codes.
>
> I found this <https://www.yubico.com/resources/glossary/yubico-otp/>
> about OTP. If I remember now, it is a service that some sites will use
> to use your Yubikey for authentication, as I think LastPass had
> support for (I no longer use that). I think U2F is more ubiquitous and
> used more now anyway. But it is enabled by default and I would guess
> many people don't use it.

The yubikey-manager-qt package has since been added, providing a GUI to
do the same, so I've expound the how-to with it, and installed the change.

Thanks for the review!

-- 
Maxim

Subject: [PATCH] doc: cookbook: Document how to disable the Yubikey OTP application.
From: Maxim Cournoyer <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 26 Jul 2023 15:56:44 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

* doc/guix-cookbook.texi (Using security keys)
<Disabling OTP code generation for a Yubikey>: New subsection.
---
 doc/guix-cookbook.texi | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/doc/guix-cookbook.texi b/doc/guix-cookbook.texi
index 2e58c6c795..8f2cb2369e 100644
--- a/doc/guix-cookbook.texi
+++ b/doc/guix-cookbook.texi
@@ -2022,6 +2022,18 @@ Using security keys
 ready to be used with applications supporting two-factor authentication
 (2FA).
 
+@subsection Disabling OTP code generation for a Yubikey
+@cindex disabling yubikey OTP
+If you use a Yubikey security key and are irritated by the spurious OTP
+codes it generates when inadvertently touching the key (e.g. causing you
+to become a spammer in the @samp{#guix} channel when discussing from
+your favorite IRC client!), you can disable it via the following
+@command{ykman} command:
+
+@example
+guix shell python-yubikey-manager -- ykman config usb --force --disable OTP
+@end example
+
 @node Connecting to Wireguard VPN
 @section Connecting to Wireguard VPN

base-commit: c7e45139faa27b60f2c7d0a4bc140f9793d97d47
-- 
2.41.0